Jump to content
td88

unlocking a viewport

Recommended Posts

td88

I'm in paper space, in a drawing I didn't create and, when I dbl. click in a viewport to open it and attempt a zoom, the entire paper space environment zooms, as if I was still in paper space, although the task bar tells me I'm in model space. Is this because the viewport is locked? If so, how do I unlock. I see nothing on screen regarding padlocks, except the tool bar/ window positions padlock.

 

If it makes a difference, I'm in Acad 2006, not 2006 T.

 

Thanks,

 

Tim

Share this post


Link to post
Share on other sites
Cad64

Yes, your viewport is locked.

 

To unlock it, double click outside the viewport to make sure you're in Paper Space. Then click on the viewport border to select it, right click and go to "Display Locked" and choose No.

 

You can also lock and unlock your viewports from the Properties palette.

Share this post


Link to post
Share on other sites
Lee Mac

For convenience :)

 

(defun c:vpl ( / vp obj )
 ;; © Lee Mac  ~  08.06.10
 (vl-load-com)

 (terpri)

 (while
   (setq vp
     (SelectifFoo
       (lambda ( x / y ) (setq x (entget x))
         
         (if (and (setq y (member '(102 . "{ACAD_REACTORS") x))
                  (setq y (cdr (assoc 330 y))))
           
           (setq x (entget y))
         )
         (if (eq "VIEWPORT" (cdr (assoc 0 x))) (cdr (assoc -1 x)))
       )
       "\rSelect Viewport to Toggle: "
     )
   )
   (setq obj (vlax-ename->vla-object vp))
   (
     (lambda ( obj col / x )
       (vla-put-color obj col)

       (if (setq x (cdr (assoc 340 (entget (vlax-vla-object->ename obj)))))
         (vla-put-color (vlax-ename->vla-object x) col)
       )
     )
     obj
     (if (eq :vlax-true
           (progn
             (vlax-put obj 'DisplayLocked
               (~ (vlax-get obj 'DisplayLocked))
             )
             (vla-get-DisplayLocked obj)
           )
         )
       acRed acGreen
     )
   )
 )
 (princ)
)

(defun SelectifFoo ( foo str / sel ent )
 (while
   (progn
     (setq sel (entsel str))
     
     (cond
       (
         (vl-consp sel)

         (if (not (setq ent (foo (car sel))))
           (princ "\n** Invalid Object Selected **")
         )
       )
     )
   )
 )
 ent
)

Share this post


Link to post
Share on other sites
mseptiembre

I have the same problem, but I tried this and still can´t do it. the view port cannot be unlocked.

it says "1 was not in the working set".

please help me!!!

Share this post


Link to post
Share on other sites
ReMark

Do you have a viewport within a viewport?

 

Which method did you attempt to use that failed?

 

Can you upload a copy of the drawing so we can have a look at it?

Share this post


Link to post
Share on other sites
JD Mather

Also check your PickFirst variable as if this is changed it won't allow you to unlock viewport.

 

(...depending on how you are trying to do the unlocking. Make sure all of the viewport boundaries are on their own layers.)

Share this post


Link to post
Share on other sites
mseptiembre

I did it, the value is 1

 

i guess it has something to do with editing references... ( dont know what this is)

but I guess at some point I did something wrong but I dont know where.

 

I also tried to atach an image but it says hat its an external reference command

 

so I guess im going to begin a new drawing

 

thanks

Share this post


Link to post
Share on other sites
ReMark

Did you try using the IMAGEATTACH command?

Share this post


Link to post
Share on other sites
mseptiembre

yes, but it says in the command line that it is an external reference command. and does nothing.

i closed the drawing without saving and opened again, it looks tha i have no more problem.

Share this post


Link to post
Share on other sites
gsksun4
Yes, your viewport is locked.

You can also lock and unlock your viewports from the Properties palette.

 

This must only work in full AutoCad, don't see anything on the palette about viewports.

Glenn

Using 2009LT

Share this post


Link to post
Share on other sites
ReMark

Look on your Properties palette again under the MISC heading. Is there a reference to "Display locked" followed by the word "no"?

Share this post


Link to post
Share on other sites
gsksun4
Look on your Properties palette again under the MISC heading. Is there a reference to "Display locked" followed by the word "no"?

 

 

Under Misc:

Annotative scale 1:1

Ucs icon On Yes

Ucs icon at origin No

Ucs per viewport No

Ucs name

 

 

That's about it.

Share this post


Link to post
Share on other sites
ReMark

I betting that you forgot to click on the viewport frame FIRST.

 

A beer.

 

I'll be over to collect.

Share this post


Link to post
Share on other sites
gsksun4
I betting that you forgot to click on the viewport frame FIRST.

 

A beer.

 

I'll be over to collect.

 

Oops!!!

A senior moment I guess.

Once again you've come to the rescue.

You can have that beer anytime you come to Florida.

Thanks ReMark.

Share this post


Link to post
Share on other sites
ReMark

Is 4:30 pm too soon for you? What's your address again?:lol:

Share this post


Link to post
Share on other sites
bibincjoy

Please follow below and see if it works for you.

 

Type 'mv' or 'mview' and hit enter

we can see different option in the command line. Type 'lock' and hit enter.

type 'off' and hit enter

select the viewport/s to be unlocked and hit enter.

 

Now we will be able to zoom in/out or even pan thru the viewport.

 

Hope this works.

Thanks

Share this post


Link to post
Share on other sites
ReMark

That's a lot of typing just to lock a viewport. There are quicker ways of doing so.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×